package com.test.task;

import java.util.Map;

import org.jboss.logging.Logger;
import org.kie.api.task.TaskEvent;

public class CustomTaskEventListener implements org.jbpm.services.task.lifecycle.listeners.TaskLifeCycleEventListener {

	private static final Logger LOGGER = Logger.getLogger(CustomTaskEventListener.class.getName());

	@Override
	public void beforeTaskStartedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before starting task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskActivatedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before activating task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskClaimedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before claiming task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskSkippedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before skipping task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskStoppedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before stopping task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskCompletedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before completing task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskFailedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before failing task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskAddedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("[my new version] Before adding task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskExitedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before exiting task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskReleasedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before releasing task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskResumedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before resuming task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskSuspendedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before suspending task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskForwardedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before forwarding task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskDelegatedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before delegating task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskNominatedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("Before nominating task " + event.getTask().getId());

	}

	@Override
	public void afterTaskActivatedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After activating task " + event.getTask().getId());

	}

	@Override
	public void afterTaskClaimedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After claiming task " + event.getTask().getId());

	}

	@Override
	public void afterTaskSkippedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After skipping task " + event.getTask().getId());

	}

	@Override
	public void afterTaskStartedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After starting task " + event.getTask().getId());

	}

	@Override
	public void afterTaskStoppedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After stopping task " + event.getTask().getId());

	}

	@Override
	public void afterTaskCompletedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After completing task " + event.getTask().getId());

	}

	@Override
	public void afterTaskFailedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After failing task " + event.getTask().getId());

	}

	@Override
	public void afterTaskAddedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After adding task " + event.getTask().getId());

	}

	@Override
	public void afterTaskExitedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After exiting task " + event.getTask().getId());

	}

	@Override
	public void afterTaskReleasedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After releasing task " + event.getTask().getId());

	}

	@Override
	public void afterTaskResumedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After resuming task " + event.getTask().getId());

	}

	@Override
	public void afterTaskSuspendedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After suspending task " + event.getTask().getId());

	}

	@Override
	public void afterTaskForwardedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After forwarding task " + event.getTask().getId());

	}

	@Override
	public void afterTaskDelegatedEvent(TaskEvent event) {
		// intentionally left blank
		LOGGER.info("After delegating task " + event.getTask().getId());

	}

	@Override
	public void afterTaskNominatedEvent(TaskEvent event) {
		LOGGER.info("After nominating task " + event.getTask().getId());

	}

	@Override
	public void beforeTaskUpdatedEvent(TaskEvent event) {
		LOGGER.info("Before task updated  " + event.getTask().getId());

	}

	@Override
	public void afterTaskUpdatedEvent(TaskEvent event) {
		LOGGER.info("After task updated  " + event.getTask().getId());

	}

	@Override
	public void beforeTaskReassignedEvent(TaskEvent event) {
		System.out.println("[new version] Before task reassigned");
		LOGGER.info("[new version] Before task reassigned  " + event.getTask().getId());

	}

	@Override
	public void afterTaskReassignedEvent(TaskEvent event) {
		System.out.println("[after version] Before task reassigned");

		LOGGER.info("after task reassigned  " + event.getTask().getId());

	}

	@Override
	public void beforeTaskNotificationEvent(TaskEvent event) {
		LOGGER.info("Before task notification  " + event.getTask().getId());

	}

	@Override
	public void afterTaskNotificationEvent(TaskEvent event) {
		LOGGER.info("after task notification  " + event.getTask().getId());

	}

	@Override
	public void afterTaskInputVariableChangedEvent(TaskEvent event, Map<String, Object> variables) {
		LOGGER.info("after task var input changed  " + event.getTask().getId());

	}

	@Override
	public void afterTaskOutputVariableChangedEvent(TaskEvent event, Map<String, Object> variables) {
		LOGGER.info("after task var output changed  " + event.getTask().getId());

	}

}
