# config section - change as needed
HOST=localhost
PORT=8080

KIE_USER=kieserver
KIE_PWD=kieserver1!

PROJECT_GROUP=Test
PROJECT_ARTIFACT=TestProject
PROJECT_ID=1.0

PROCESS_NAME=TestProject.TestProcess
RUNTIME_STRATEGY=PER_PROCESS_INSTANCE

NO_OF_PROCESSES=1
# END OF CONFIG SECTION

# no need to change here
KIE_CRED=$KIE_USER:$KIE_PWD
PROJECT_GAV=$PROJECT_GROUP:$PROJECT_ARTIFACT:$PROJECT_ID

# build the two projects
(cd listener && mvn clean install)
(cd kjar && mvn clean install)

# Delete container
curl -v -X DELETE -u ${KIE_CRED} http://${HOST}:${PORT}/kie-server/services/rest/server/containers/${PROJECT_GAV}



# Create container template:
echo '<script>' > create-container.xml
echo '  <create-container>' >> create-container.xml
echo '    <container container-id="'${PROJECT_GAV}'">' >> create-container.xml
echo '      <release-id>' >> create-container.xml
echo '        <group-id>'${PROJECT_GROUP}'</group-id>' >> create-container.xml
echo '        <artifact-id>'${PROJECT_ARTIFACT}'</artifact-id>' >> create-container.xml
echo '        <version>'${PROJECT_ID}'</version>' >> create-container.xml
echo '      </release-id>' >> create-container.xml
echo '      <config-items>' >> create-container.xml
echo '        <itemName>RuntimeStrategy</itemName>' >> create-container.xml
echo '        <itemValue>'${RUNTIME_STRATEGY}'</itemValue>' >> create-container.xml
echo '        <itemType></itemType>' >> create-container.xml
echo '      </config-items>' >> create-container.xml
echo '    </container>' >> create-container.xml
echo '  </create-container>' >> create-container.xml
echo '</script>' >> create-container.xml

# Create container:
curl -v -X POST -H 'Content-type: application/xml' -H 'X-KIE-Content-Type: xstream' -d @create-container.xml -u ${KIE_CRED} http://${HOST}:${PORT}/kie-server/services/rest/server/config/



#create a process instance
PROCID=`curl -s -X POST -H 'Content-type: application/json' -H 'X-KIE-Content-Type: json' -u ${KIE_CRED} http://${HOST}:${PORT}/kie-server/services/rest/server/containers/${PROJECT_GAV}/processes/${PROCESS_NAME}/instances` && echo Process ${PROCID} created


# delete process
echo "To delete the process instance, run:"
echo "curl -X DELETE -u ${KIE_CRED} http://${HOST}:${PORT}/kie-server/services/rest/server/containers/${PROJECT_GAV}/processes/instances/${PROCID}"
